<template>
    <div id="cart_side" class=" add_to_cart right">
        <a href="javascript:void(0)" class="overlay" onclick="closeCart()"></a>
        <div class="cart-inner">
            <div class="cart_top">
                <h3>My cart</h3>
                <div class="close-cart">
                    <a href="javascript:void(0)" onclick="closeCart()">
                        <i class="fa fa-times" aria-hidden="true"></i>
                    </a>
                </div>
            </div>
            <div class="cart_media">
                <ul class="cart_product">
                    <li v-for="produt in products.content" :key="produt.id">
                        <div class="media">
                            <a href="javascript:void(0)">
                                <img alt="" class="mr-3" :src="'storage/product/'+produt.attributes.image">
                            </a>
                            <div class="media-body">
                                <a href="javascript:void(0)">
                                    <h4>{{produt.name}}</h4>
                                </a>
                                <h4>
                                    <span>{{produt.quantity}} x ${{produt.price}}</span>
                                </h4>
                            </div>
                        </div>
                        <div class="close-circle">
                            <a href="javascript:void(0)">
                                <i class="ti-trash" aria-hidden="true"></i>
                            </a>
                        </div>
                    </li>
                </ul>
                <ul class="cart_total">
                    <li>
                        <div class="total">
                            <h5>subtotal : <span>${{products.total}}</span></h5>
                        </div>
                    </li>
                    <li>
                        <div class="buttons">
                            <a href="javascript:void(0)" onclick="closeCart()" @click="cartView" class="btn btn-solid btn-xs view-cart">view cart</a>
                            <a href="javascript:void(0)" onclick="closeCart()" @click="cartView" class="btn btn-solid btn-xs checkout">checkout</a>
                        </div>
                    </li>
                </ul>
            </div>
        </div>
    </div>
</template>

<script>
    import {EventBus} from "./event-bus";

    export default {
        data(){
            return{
                products:{},
            }
        },
        created(){
            this.getCart();
        },
        mounted() {
            EventBus.$on('cartUpdate',payload=>{
                this.getCart();
            });
        },
        methods:{
            getCart(){
                axios.get('/product/get/cart/info').then((response)=>{
                    this.products=response.data;
                });
            },
            cartView(){
                EventBus.$emit('pageLoader','cartMain');
            }
        }
    }
</script>
